TICKIT_RECTSET_ADD(3)

NAME
tickit_rectset_add - add an area to a rectangle set

SYNOPSIS
    #include <tickit.h>

    void tickit_rectset_add(TickitRectSet *trs, const TickitRect *rect);

Link with -ltickit.

DESCRIPTION
tickit_rectset_add() ensures that the regions stored by the rectangle set includes the area given by rect. Since the rectangle set stores a set of non-overlapping regions, it may have to split the newly-added area into smaller pieces, to ensure the regions do not overlap. Since it merges neighbours where possible it can also result in fewer regions being stored.

RETURN VALUE
tickit_rectset_add() returns no value.

SEE ALSO
tickit_rectset_new(3), tickit_rectset(7), tickit_rect(7), tickit(7)